Control.Lens.Setter

# Setters

type Setter s t a b

type Setter' s a

type IndexedSetter i s t a b

type IndexedSetter' i s a

type ASetter s t a b

type ASetter' s a

type AnIndexedSetter i s t a b

type AnIndexedSetter' i s a

type Setting p s t a b

type Setting' p s a

# Building Setters

sets

setting

cloneSetter

cloneIndexPreservingSetter

cloneIndexedSetter

# Common Setters

mapped

lifted

contramapped

argument

# Functional Combinators

over

set

(.~)

(%~)

(+~)

(-~)

(*~)

(//~)

(^~)

(^^~)

(**~)

(||~)

(<>~)

(&&~)

(<.~)

(?~)

(<?~)

# State Combinators

assign

modifying

(.=)

(%=)

(+=)

(-=)

(*=)

(//=)

(^=)

(^^=)

(**=)

(||=)

(<>=)

(&&=)

(<.=)

(?=)

(<?=)

(<~)

# Writer Combinators

scribe

passing

ipassing

censoring

icensoring

# Simplified State Setting

set'

# Indexed Setters

imapOf

iover

iset

imodifying

isets

(%@~)

(.@~)

(%@=)

(.@=)

# Arrow operators

assignA

# Exported for legible error messages

class Settable f

data Identity a

# Deprecated

mapOf